<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head th:replace="fragments/bootstrap :: bootstrap">
    <meta charset="UTF-8">
    <title>All Books</title>
</head>
<body>
    <nav th:replace="fragments/navbar :: navbar"></nav>
        <br>

    <div class="container">
        <h1 class="text-center">List of Books</h1>
        <div th:if="${noBooksFound}">
            <h2>There are no books saved</h2>
        </div>
        <div class="row">
            <div class="col-4" th:each="book : ${books}">
                <div class="row">
                    <div class="col">
                        <div class="card-deck">
                            <div class="card border-success mb-3" style="max-width: 18rem;">
                                <div class="card-body">
                                    <h5 th:text="${book.id}"  class="card-title">Id</h5>
                                    <h5 th:text="${book.title}" class="card-title">Title</h5>
                                    <p th:text="${book.author}" class="card-text">Author</p>
                                    <p th:text="${book.genre}" class="card-text">Genre</p>
                                </div>
                                <div class="card-footer">
                                    <div class="row">
                                        <div class="col-6">
                                            <small th:text="${book.date}" class="card-text">Release Date</small>
                                        </div>
                                        <div class="col-6">
                                            <a th:href="${'/books/' + book.id + '/edit'}" class="btn btn-outline-dark" role="button">Edit Book</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <a href="/books/create" class="btn btn-outline-primary" role="button">Click to add a book</a>
    </div>

    <footer th:replace="fragments/footer :: footer"></footer>
</body>
</html>
